org.apache.flume.interceptor

## Class StaticInterceptor.Constants

- java.lang.Object
- - org.apache.flume.interceptor.StaticInterceptor.Constants

- Enclosing class:
    StaticInterceptor

      public static class StaticInterceptor.Constants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `KEY`
    `static String` | `KEY_DEFAULT`
    `static String` | `PRESERVE`
    `static boolean` | `PRESERVE_DEFAULT`
    `static String` | `VALUE`
    `static String` | `VALUE_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StaticInterceptor.Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KEY

          public static final String KEY

      See Also:
        Constant Field Values

    - #### KEY_DEFAULT

          public static final String KEY_DEFAULT

      See Also:
        Constant Field Values

    - #### VALUE

          public static final String VALUE

      See Also:
        Constant Field Values

    - #### VALUE_DEFAULT

          public static final String VALUE_DEFAULT

      See Also:
        Constant Field Values

    - #### PRESERVE

          public static final String PRESERVE

      See Also:
        Constant Field Values

    - #### PRESERVE_DEFAULT

          public static final boolean PRESERVE_DEFAULT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StaticInterceptor.Constants

          public StaticInterceptor.Constants()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.